% rangeInfo = computeRange(f, Sh)
%  f = frequency vector
%  Sh = amplitude noise spectrum in strain (see computeSh)
%
%  rangeInfo is from GWINCs int73

function rangeInfo = computeRange(f, Sh)

  % GWINC stuff for computing BNS range
  ifo = IFOModel;
  src = SourceModel;
  oligo = zeros(numel(f), 4);
  oligo(:, 1) = f;

  % GWINC range
  rangeInfo = int73(f, Sh.^2, ifo, src, oligo);

end
